export default class OathHammerArmy extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const { fields } = foundry.data
    const schema = {}

    schema.regimentRefs  = new fields.ArrayField(new fields.StringField({ required: true, blank: false }))
    schema.leaderUuid    = new fields.StringField({ required: false, nullable: true, initial: null })
    schema.location      = new fields.StringField({ required: false, nullable: true, initial: "" })
    schema.notes         = new fields.HTMLField({ required: false, nullable: true, initial: "" })

    return schema
  }
}
